/* Project: Paddle Puck
 * Author: Dennis Busch, http://www.dennisbusch.de, Dennis[minus]Busch[at]gmx[dot]net
 */

package paddlepuckGUI;

import java.awt.TextField;
import java.awt.event.KeyEvent;

/**
 * Implements custom GUI component Event Handlers.
 */
public class GUIComponentHandlers
{
  /**
   * Handles a KeyTyped Event in a way which block non-number keys 
   * and allows a maximum of five characters in a TextField
   * @param evt 
   */
  public static void PortTextFieldKeyTyped(KeyEvent evt)
  {
    char c = evt.getKeyChar();
    
    if((c < '0' || c > '9') && c != 8) // disallow non-number characters (except backspace) in the Port textField
    {
      evt.consume();
      return;
    }
    
    // disallow more than five character in the Port textField
    if(((TextField)evt.getComponent()).getText().length() >= 5 && c != 8)
      evt.consume();
  }
  
}
